package org.omg.IOP;

import org.omg.CORBA.TypeCode;
import org.omg.CORBA.portable.OutputStream;
import org.omg.CORBA.portable.InputStream;
import org.omg.CORBA.portable.Streamable;

public final class TaggedComponentHolder implements Streamable
{
    public TaggedComponent value;
    
    public TaggedComponentHolder() {
        this.value = null;
    }
    
    public TaggedComponentHolder(TaggedComponent value) {
        this.value = null;
        this.value = value;
    }
    
    public void _read(InputStream inputStream) {
        this.value = TaggedComponentHelper.read(inputStream);
    }
    
    public void _write(OutputStream outputStream) {
        TaggedComponentHelper.write(outputStream, this.value);
    }
    
    public TypeCode _type() {
        return TaggedComponentHelper.type();
    }
}
